@echo off
REM -- Make map file from App Studio generated resource.h
echo // MAKEMAP.BAT generated Help Map file.  Used by EP-SLD.HPJ > hlp\ep-sld.hm
echo. >>hlp\ep-sld.hm
echo // Commands (ID_* and IDM_*) >>hlp\ep-sld.hm
makehm ID_,HID_,0x10000 IDM_,HIDM_,0x10000 resource.h >>hlp\ep-sld.hm
echo. >>hlp\ep-sld.hm
echo // Prompts (IDP_*) >>hlp\ep-sld.hm
makehm IDP_,HIDP_,0x30000 resource.h >>hlp\ep-sld.hm
echo. >>hlp\ep-sld.hm
echo // Resources (IDR_*) >>hlp\ep-sld.hm
makehm IDR_,HIDR_,0x20000 resource.h >>hlp\ep-sld.hm
echo. >>hlp\ep-sld.hm
echo // Dialogs (IDD_*) >>hlp\ep-sld.hm
makehm IDD_,HIDD_,0x20000 resource.h >>hlp\ep-sld.hm
echo. >>hlp\ep-sld.hm
echo // Frame Controls (IDW_*) >>hlp\ep-sld.hm
makehm IDW_,HIDW_,0x50000 resource.h >>hlp\ep-sld.hm
REM -- Make map file from uicom.h
echo. >>hlp\ep-sld.hm
echo // Commands (ID_* and IDM_*) >>hlp\ep-sld.hm
makehm ID_,HID_,0x10000 IDM_,HIDM_,0x10000 uicom.h >>hlp\ep-sld.hm
echo. >>hlp\ep-sld.hm
echo // Prompts (IDP_*) >>hlp\ep-sld.hm
makehm IDP_,HIDP_,0x30000 uicom.h >>hlp\ep-sld.hm
echo. >>hlp\ep-sld.hm
echo // Resources (IDR_*) >>hlp\ep-sld.hm
makehm IDR_,HIDR_,0x20000 uicom.h >>hlp\ep-sld.hm
echo. >>hlp\ep-sld.hm
echo // Dialogs (IDD_*) >>hlp\ep-sld.hm
makehm IDD_,HIDD_,0x20000 uicom.h >>hlp\ep-sld.hm
echo. >>hlp\ep-sld.hm
echo // Frame Controls (IDW_*) >>hlp\ep-sld.hm
makehm IDW_,HIDW_,0x50000 uicom.h >>hlp\ep-sld.hm
echo.
